%define name	iv
%define version 0.1.12
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Image Viewer
Group:		Graphics
License:	GPL
URL: 		http://wolfpack.twu.net/utilities.html
Source0: 	%{name}-%{version}.tar.bz2
Source1:        %{name}-16.png.bz2
Source2:        %{name}-32.png.bz2
Source3:        %{name}-48.png.bz2
Patch0:		%{name}.build.patch.bz2
BuildRequires:	XFree86-devel gtk+-devel imlib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Sometimes reffered to as ImgView or IV, this is a basic image viewer
with pan and zoom capabilities, depends on GTK+ and Imlib. Can also
save to many different formats, display transparency, crop, print, and
do window grabs.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png

%build
cd %{name}
make all

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_iconsdir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 %{name}/%{name} $RPM_BUILD_ROOT%{_bindir}
install -m 644 %{name}/%{name}.xpm $RPM_BUILD_ROOT%{_iconsdir}
install -m 644 %{name}/%{name}.1.bz2 $RPM_BUILD_ROOT%{_mandir}/man1

# icons
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_bindir}/%{name}"\\
	needs="x11"\\
	icon="%{name}.png"\\
	section="Multimedia/Graphics"\\
	title="IV" \
	longtitle="Image browser"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu May 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.12-1mdk
- 0.1.12

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-3mdk
- rebuild

* Wed May 29 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.9-2mdk
- build with gcc3.1

* Fri Feb 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.9-1mdk
- first mdk release
